unit ZhAPI;

interface

uses Classes, DB, Controls;

  //procedure ShowWarningMessage(const AMsg: string); stdcall; external 'ZhAPI.dll' name 'ShowWarningMessage';
  //procedure ShowTipMessage(const AMsg: string); stdcall; external 'ZhAPI.dll' name 'ShowTipMessage';
  //procedure ShowErrorMessage(const AMsg: string); stdcall; external 'ZhAPI.dll' name 'ShowErrorMessage';
  //function ShowQuestMessage(const AMsg: string): Boolean; stdcall; external 'ZhAPI.dll' name 'ShowQuestMessage';
  function ShowInputQuery(const ACaption, APrompt: string; var Value: string; ANeedMark: Boolean = False): Boolean; stdcall; external 'ZhAPI.dll' name 'ShowInputQuery';
  function ShowInputBox(const ACaption, APrompt, ADefault: string): string; stdcall; external 'ZhAPI.dll' name 'ShowInputBox';

  procedure ClearObjects(AList: TList); stdcall; external 'ZhAPI.dll' name 'ClearObjects';
  procedure ClearPointers(AList: TList); stdcall; external 'ZhAPI.dll' name 'ClearPointers';

  function ExtractSimpleFileName(const AFileName: string): string; stdcall; external 'ZhAPI.dll' name 'ExtractSimpleFileName';
  function CheckFileNameLegal(const AFileName: string): Boolean; stdcall; external 'ZhAPI.dll' name 'CheckFileNameLegal';
  function CheckFileNameKeyLegal(var Key: Char): Boolean; stdcall; external 'ZhAPI.dll' name 'CheckFileNameKeyLegal';

  function DeleteFileOrFolder(const AFileName: string; AToRecycleBin: Boolean = False): Boolean; stdcall; external 'ZhAPI.dll' name 'DeleteFileOrFolder';
  function CopyFileOrFolder(const ASrcFile, ADestFile: string): Boolean; stdcall; external 'ZhAPI.dll' name 'CopyFileOrFolder';
  function CopyFileWithDirectory(const ASrcFile, ADestFile: string): Boolean; stdcall; external 'ZhAPI.dll' name 'CopyFileWithDirectory';
  procedure CreateDirectoryInDeep(const ADir: string); stdcall; external 'ZhAPI.dll' name 'CreateDirectoryInDeep';
  function MoveFileOrFolder(const ASrcFile, ADestFile: string): Boolean; stdcall; external 'ZhAPI.dll' name 'MoveFileOrFolder';

  function GetExeFileVersion(const AExeName: string): string; stdcall; external 'ZhAPI.dll' name 'GetExeFileVersion';
  function ReadAppPathFromRegistry(const AKeyItem: string): string; stdcall; external 'ZhAPI.dll' name 'ReadAppPathFromRegistry';
  function GetDestTopDir: string; stdcall; external 'ZhAPI.dll' name 'GetDestTopDir';
  function GetFileSize(const AFileName: string): Int64; stdcall; external 'ZhAPI.dll' name 'GetFileSize';
  function GetFolderSize(ADir: string): Int64; stdcall; external 'ZhAPI.dll' name 'GetFolderSize';

  procedure FilterFiles(ADir, AExt: string; AFiles: TStrings); stdcall; external 'ZhAPI.dll' name 'FilterFiles';
  procedure FilterFilesRecursive(APath, AExt: string; FileList: TStrings); stdcall; external 'ZhAPI.dll' name 'FilterFilesRecursive';

  function GetPrefixOfCode(const ACode: string; ADelimiter: Char = '-'): string; stdcall; external 'ZhAPI.dll' name 'GetPrefixOfCode';
  function GetLastSetmentOfCode(const ACode: string; ADelimiter: Char = '-'): string; stdcall; external 'ZhAPI.dll' name 'GetLastSetmentOfCode';
  procedure DivideCodeIntoSubs(AStrings: TStrings; const ACode: string); stdcall; external 'ZhAPI.dll' name 'DivideCodeIntoSubs';
  function ReplaceCodePrefix(const ASubCode, ACode: string; ADelimiter: Char = '-'): string; stdcall; external 'ZhAPI.dll' name 'ReplaceCodePrefix';
  function CompareCode(const ACode1, ACode2: string; ADelimiter: Char = '-'): Integer; stdcall; external 'ZhAPI.dll' name 'CompareCode';

  function ConvertSmartSimSun(const AText: string): string; stdcall; external 'ZhAPI.dll' name 'ConvertSmartSimSun';

  procedure ExecuteFile(const AFileName: string); stdcall; external 'ZhAPI.dll' name 'ExecuteFile';

  function AdvRoundTo(AValue: Double; ADigit: Integer = -2): Double; stdcall; external 'ZhAPI.dll' name 'AdvRoundTo';

  procedure ClearDataSet(ADataSet: TDataSet); stdcall; external 'ZhAPI.dll' name 'ClearDataSet';
  function GetNewIDOfIndex(ADataSet: TDataSet): Integer; stdcall; external 'ZhAPI.dll' name 'GetNewIDOfIndex';
  function GetNewIDNoIndex(ADataSet: TDataSet): Integer; stdcall; external 'ZhAPI.dll' name 'GetNewIDNoIndex';
  function GetFieldValueDefault(ADataSet: TDataSet; const AFieldName: string; ADefault: Variant): Variant; stdcall; external 'ZhAPI.dll' name 'GetFieldValueDefault';

  function CheckStringNull(const AText: string; ATrim: Boolean = False): Boolean; stdcall; external 'ZhAPI.dll' name 'CheckStringNull';
  function CheckZero(const AText: string): Boolean; stdcall; external 'ZhAPI.dll' name 'CheckZero';
  function CheckNumeric(const AText: string): Boolean; stdcall; external 'ZhAPI.dll' name 'CheckNumeric';
  function CheckWideString(const AText: string): Boolean; stdcall; external 'ZhAPI.dll' name 'CheckWideString';
  function GetRandomString(ALength: Integer): string; stdcall; external 'ZhAPI.dll' name 'GetRandomString';
  function TrimSpaceReturnTabChar(const AText: string): string; stdcall external 'ZhAPI.dll' name 'TrimSpaceReturnTabChar';

  function EvaluateExprs(AExpression: string): Double; stdcall; external 'ZhAPI.dll' name 'EvaluateExprs';

  function VarToInt(const Value: Variant): Integer; stdcall; external 'ZhAPI.dll' name 'VarToInt';
  function VarToIntDef(const Value: Variant; ADefault: Integer): Integer; stdcall; external 'ZhAPI.dll' name 'VarToIntDef';
  function VarToFloat(const Value: Variant): Double; stdcall; external 'ZhAPI.dll' name 'VarToFloat';
  function VarToFloatDef(const Value: Variant; ADefault: Double): Double; stdcall; external 'ZhAPI.dll' name 'VarToFloatDef';
  function ConvertFloatToVar(AValue: Double): Variant; stdcall; external 'ZhAPI.dll' name 'ConvertFloatToVar';
  function ConvertStrToVar(const AValue: string): Variant; stdcall; external 'ZhAPI.dll' name 'ConvertStrToVar';

  function CheckStringUnStrictly(const S1, S2: string): Boolean; stdcall; external 'ZhAPI.dll' name 'CheckStringUnStrictly';

  function GetWindowsOSVersion: Integer; stdcall; external 'ZhAPI.dll' name 'GetWindowsOSVersion';

  function CompressFolder(AFolder, AExt, AFile: string): Boolean; stdcall; external 'ZhAPI.dll' name 'CompressFolder';
  function DecompressFile(AFile, ADestPath: string): Boolean; stdcall; external 'ZhAPI.dll' name 'DecompressFile';

  function ConvertDigitCode(const ACode: string; ASegLen: Integer; ADelimiter: Char = '-'): string; stdcall; external 'ZhAPI.dll' name 'ConvertDigitCode';

implementation

end.





